# Modify bucket static webpage configuration - UpdateBucketStaticPageRule

## Overview

Modify bucket static webpage configuration






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `UpdateBucketStaticPageRule`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave blank for the default project; sub-accounts must fill this in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **Bucket** | string | Bucket Name |**Yes**|
| **Status** | string | Enable status (enable/disable, can only be enabled if a custom domain is bound) |No|
| **DefaultIndex** | string | Default Homepage |No|
| **SubDirRedirect** | string | Is subdirectory redirection enabled |No|
| **RuleFor404** | string | 404 Rule |No|
| **DefaultPage404** | string | Default page for 404 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=UpdateBucketStaticPageRule
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=VKXDVtxD
&Bucket=bmGYdESd
&Status=MixZMOOG
&DefaultIndex=UcYGDuHX
&SubDirRedirect=oqAcAaFI
&RuleFor404=IwSpWHzs
&DefaultPage404=oxSvhzQy
```

### Response Example
    
```json
{
  "Action": "UpdateBucketStaticPageRuleResponse",
  "RetCode": 0
}
```





